<?php

/*
 * verify.php
 * This script verifies the given api-key via the redpeppix.-API
 * 
 * Version: 0.1
 * Date: 2010-10-29
 * Author: redpeppix. GmbH & Co KG
 */

	// initialize all attributes as false
	$this->verified   = false;
	$this->locked	  = 0;
	$this->delayed	  = 0;
	$this->restricted = 0;
	$this->hashKey 	  = "";
	$site 			  = explode("/", get_option("siteurl"));
	$siteUrl 		  = $site[2];
	
	do {
		try {
			// load host list
			$curlHdl = curl_init($this->redpeppixURL."hosts.xml?api_key=".$this->apiKey);
			curl_setopt_array($curlHdl, array(CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPGET => true));
			$result = curl_exec($curlHdl);
			if ($result === false) { break; }
			curl_close($curlHdl);
			
			// if host exists use hashkey
			$resultXml = @new SimpleXMLElement($result);
			$exists = false;
			foreach ($resultXml->host as $host) {
				
				if ($host->domain == $siteUrl) {
					$this->hashKey 	  = (string)$host->hashkey;
					$this->locked	  = ((int)$host->{"status-id"} != 4) ? 1 : 0;
					$this->restricted = ((string)$host->restricted == "true") ? 1 : 0;
					$this->delayed    = ((string)$host->{"delayed-publishing"} == "true") ? 1 : 0;
					$exists = true;
					break;
				}
			} // NEXT host
		} catch (Exception $e) {
			break;	
		}
		
		// add host and set hashkey if it does not exist
		if ($exists) {
			break;
		}
		
		try {
			$curlHdl = curl_init($this->redpeppixURL."hosts.xml?api_key=".$this->apiKey);
			curl_setopt_array($curlHdl, array(CURLOPT_RETURNTRANSFER => true, CURLOPT_POST => true, CURLOPT_HTTPHEADER => array ("Content-Type: text/xml; charset=utf-8"), CURLOPT_POSTFIELDS => "<host><domain>".$siteUrl."</domain></host>"));
			$result = curl_exec($curlHdl);
			if ($result === false) { break; }
			curl_close($curlHdl);
			$resultXml = @new SimpleXMLElement($result);
			$this->hashKey = (string)$resultXml->hashkey;
		} catch (Exception $e) {
			break;
		}
	} while (false);
	
	$this->verified = $this->hashKey != "";
	update_option("rpx_verified", 	(int)$this->verified);
	update_option("rpx_locked",		(int)$this->locked);
	update_option("rpx_restricted", (int)$this->restricted);
	update_option("rpx_delayed",	(int)$this->delayed);
	update_option("rpx_hashkey",	$this->hashKey);
	return $this->verified;
?>